<template>
  <div class="box">
    <ul>
      <li
        style="width: 86px"
        @click="changeOrietnt(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge1"></div>
        </div>
        <div class="div_li">{{ item.name }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      itemsOne: [
        {
          id: "1",
          name: "坐标定位",
          class: "f1",
        },
        {
          id: "2",
          name: "地名定位",
          class: "f2",
        },
      ],
    };
  },
  methods: {
    changeOrietnt(res) {
      var res_val = {
        url: "",
        name: res.name,
      };
      this.$bus.$emit("changetool", res_val);
    },
  },
};
</script>

<style>
.box {
  width: 100%;
  height: 100%;
  position: relative;
}
.box li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.box ul {
  margin: 0px;
}
.f1 {
  background: url("../../assets/img/synthesis/图层 27.png") no-repeat center;
}
.f2 {
  background: url("../../assets/img/synthesis/图层 28.png") no-repeat center;
}
.backimge1 {
  width: 30px;
  height: 30px;
  margin-left: 25px;
  position: absolute;
  background-size: 100% 100%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
